DataBolsa docs
Referência da APIDados de mercadoFIIs

Histórico de um indicador do FII (informe mensal)

GET
/v1/fiis/{ticker}/indicators/history
AuthorizationBearer <token>

In: header

Path Parameters

tickerstring
Match^[A-Z][A-Z0-9]{3}[0-9]{0,2}$

Query Parameters

namestring

Indicador do histórico mensal do FII. Do informe: vp_cota, dividend_yield_mes, patrimonio_liquido, cotistas. Derivados (close raw mensal): pvp, dy_12m.

Length1 <= length
from?string
Match^\d{4}-\d{2}-\d{2}$
to?string
Match^\d{4}-\d{2}-\d{2}$

Response Body

curl -X GET "https://api.databolsa.com/v1/fiis/string/indicators/history?name=string&from=string&to=string"
{
  "ticker": "string",
  "name": "string",
  "label": "string",
  "unit": "ratio",
  "observations": [
    {
      "date": "string",
      "value": 0
    }
  ]
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string"
}